import request from '@/utils/request'

// 查询项目列表
export function listProjectApi(query) {
  return request({
    url: '/ent/project/manageList',
    method: 'get',
    params: query
  })
}
//新增项目
export function addProjectApi(data) {
  return request({
    url: `/ent/project`,
    method: 'post',
    data: data
  })
}
//获取财务员、科技员
export function listUserListApi(query) {
  return request({
    url: `/ent/user/list`,
    method: 'get',
    params: query
  })
}
//修改项目
export function editProjectApi(data) {
  return request({
    url: `/ent/project`,
    method: 'put',
    data: data
  })
}
//获取信息
export function getProjectInfoApi(id, query) {
  return request({
    url: `/ent/project/${id}`,
    method: 'get',
    params: query
  })
}